---
title: page-break-after
slug: Web/CSS/page-break-after
tags:
  - CSS
  - CSS Property
  - Page Breaks
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<div class="notecard warning">This property has been replaced by the {{cssxref("break-after")}} property.</div>

<p>The <strong><code>page-break-after</code></strong> CSS property adjusts page breaks <em>after</em> the current element.</p>

<pre class="brush:css no-line-numbers notranslate">/* Keyword values */
page-break-after: auto;
page-break-after: always;
page-break-after: avoid;
page-break-after: left;
page-break-after: right;
page-break-after: recto;
page-break-after: verso;

/* Global values */
page-break-after: inherit;
page-break-after: initial;
page-break-after: unset;
</pre>

<p>This property applies to block elements that generate a box. It won't apply on an empty {{HTMLElement("div")}} that won't generate a box.</p>

<h2 id="Syntax">Syntax</h2>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>auto</code></dt>
 <dd>Initial value. Automatic page breaks (neither forced nor forbidden).</dd>
 <dt><code>always</code></dt>
 <dd>Always force page breaks after the element.</dd>
 <dt><code>avoid</code></dt>
 <dd>Avoid page breaks after the element.</dd>
 <dt><code>left</code></dt>
 <dd>Force page breaks after the element so that the next page is formatted as a left page.</dd>
 <dt><code>right</code></dt>
 <dd>Force page breaks after the element so that the next page is formatted as a right page.</dd>
 <dt><code>recto</code> {{experimental_inline}}</dt>
 <dd>If pages progress left-to-right, then this acts like <code>right</code>. If pages progress right-to-left, then this acts like <code>left</code>.</dd>
 <dt><code>verso</code> {{experimental_inline}}</dt>
 <dd>If pages progress left-to-right, then this acts like <code>left</code>. If pages progress right-to-left, then this acts like <code>right</code>.</dd>
</dl>

<h2 id="Page_break_aliases">Page break aliases</h2>

<p>The <code>page-break-after</code> property is now a legacy property, replaced by {{cssxref("break-after")}}.</p>

<p>For compatibility reasons, <code>page-break-after</code> should be treated by browsers as an alias of <code>break-after</code>. This ensures that sites using <code>page-break-after</code> continue to work as designed. A subset of values should be aliased as follows:</p>

<table>
 <thead>
  <tr>
   <th scope="col">page-break-after</th>
   <th scope="col">break-after</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><code>auto</code></td>
   <td><code>auto</code></td>
  </tr>
  <tr>
   <td><code>left</code></td>
   <td><code>left</code></td>
  </tr>
  <tr>
   <td><code>right</code></td>
   <td><code>right</code></td>
  </tr>
  <tr>
   <td><code>avoid</code></td>
   <td><code>avoid</code></td>
  </tr>
  <tr>
   <td><code>always</code></td>
   <td><code>page</code></td>
  </tr>
 </tbody>
</table>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Setting_a_page_break_after_footnotes">Setting a page break after footnotes</h3>

<pre class="brush: css notranslate">/* move to a new page after footnotes */
div.footnotes {
  page-break-after: always;
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS Logical Properties', '#page', 'recto and verso')}}</td>
   <td>{{Spec2('CSS Logical Properties')}}</td>
   <td>Adds the values <code>recto</code> and <code>verso</code>.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS3 Paged Media', '#page-break-after', 'page-break-after')}}</td>
   <td>{{Spec2('CSS3 Paged Media')}}</td>
   <td>Extends the element that this property applies to table rows and table row groups.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS2.1', 'page.html#propdef-page-break-after', 'page-break-after')}}</td>
   <td>{{Spec2('CSS2.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.page-break-after")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("break-before")}}, {{cssxref("break-after")}}, {{cssxref("break-inside")}}</li>
 <li>{{cssxref("page-break-before")}}, {{cssxref("page-break-inside")}}</li>
 <li>{{cssxref("orphans")}}, {{cssxref("widows")}}</li>
</ul>
